## node-shiny-server 1.5.19.995

=== debian/changelog ===
node-shiny-server (1.5.19.995-1) unstable; urgency=medium

  * Team upload.
  * Change Maintainer to science team
  * New upstream version 1.5.19.995
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Refresh, re-diff patches
  * Add depend on python3
  * d/s/lintian-overrides: Update overrides
  * Add Depends on adduser

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Aug 2022 20:35:00 +0530

node-shiny-server (1.5.17.973-3) unstable; urgency=medium

  * Team upload.
  * Trying luck with piuparts

  [ Andreas Tille ]
  * Try SHINYHOME=/var/lib/shiny

  [ Nilesh Patra ]
  * Pipe deluser, delgroup with true
  * Add NEWS entry for homedir change

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 May 2022 00:38:09 +0530

node-shiny-server (1.5.17.973-2) unstable; urgency=medium

  * Team upload.
  * Hack around, added patch to fix tests
  * Move to unstable

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 23:23:29 +0530

node-shiny-server (1.5.17.973-1) experimental; urgency=medium

  * Team Upload.
  * Initial release (Closes: #960906)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Apr 2022 11:53:26 +0530
