=== debian/control ===
Source: node-shiny-server
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               mocha <!nocheck>,
               node-bash <!nocheck>,
               node-express <!nocheck>,
               node-faye-websocket <!nocheck>,
               node-graceful-fs <!nocheck>,
               node-handlebars <!nocheck>,
               node-log4js <!nocheck>,
               node-moment <!nocheck>,
               node-optimist <!nocheck>,
               node-pause <!nocheck>,
               node-q <!nocheck>,
               node-qs <!nocheck>,
               node-send <!nocheck>,
               node-should <!nocheck>,
               node-sinon <!nocheck>,
               node-split <!nocheck>,
               node-stable <!nocheck>,
               node-underscore <!nocheck>,
               node-compression <!nocheck>,
               node-client-sessions <!nocheck>,
               node-nan <!nocheck>,
               node-morgan <!nocheck>,
               node-mime <!nocheck>,
               node-shiny-server-client <!nocheck>,
               node-ip-address <!nocheck>,
               node-http-proxy <!nocheck>,
               node-rewire <!nocheck>,
               node-send (>= 0.18.0+~cs1.19.1-1~) <!nocheck>,
               nodejs,
               node-nan,
               node-gyp
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/shiny-server
Vcs-Git: https://salsa.debian.org/science-team/shiny-server.git
Homepage: https://www.rstudio.com/products/shiny/shiny-server/
Rules-Requires-Root: no

Package: shiny-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         r-base,
         r-cran-shiny,
         mocha,
         node-bash,
         node-express,
         node-faye-websocket,
         node-graceful-fs,
         node-handlebars,
         node-log4js,
         node-moment,
         node-optimist,
         node-pause,
         node-q,
         node-qs,
         node-send (>= 0.18.0+~cs1.19.1-1~),
         node-should,
         node-sinon,
         node-split,
         node-stable,
         node-underscore,
         node-compression,
         node-client-sessions,
         node-nan,
         node-morgan,
         node-shiny-server-client,
         node-ip-address,
         node-http-proxy,
         nodejs,
         npm,
         pandoc,
         python3,
         lsb-base,
         node-sockjs-client,
         node-sockjs
Description: put Shiny web apps online
 Shiny Server lets you put shiny web applications and interactive
 documents online. Take your Shiny apps and share them with your
 organization or the world.
 .
 Shiny Server lets you go beyond static charts, and lets you manipulate
 the data. Users can sort, filter, or change assumptions in real-time.
 Shiny server empower your users to customize your analysis for their
 specific needs and extract more insight from the data.
