## node-shiny-server 1.5.20.1002

=== debian/changelog ===
node-shiny-server (1.5.20.1002-4) unstable; urgency=medium

  * Team upload.
  * Fix team name in d/control
  * Update Vcs tags to new Salsa name

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 13:55:35 +0200

node-shiny-server (1.5.20.1002-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS (Closes: #1082688)
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 08 Nov 2024 01:18:42 +0530

node-shiny-server (1.5.20.1002-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Team upload.
  * Fix init script.
    Thanks to Stephan Hachinger (Closes: #1053526)

  [ Helmut Grohne ]
  * Install systemd unit only once (Closes: #1054481)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Oct 2023 14:08:57 +0200

node-shiny-server (1.5.20.1002-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.5.20.1002
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Tighten dependency on sockjs
  * Drop depends on lsb-base

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Feb 2023 00:37:13 +0530
