=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: node-shiny-server
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Shayan Doust <hello@shayandoust.me>
 Section: science
@@ -37,9 +37,9 @@
                nodejs,
                node-nan,
                node-gyp
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/science-team/shiny-server
-Vcs-Git: https://salsa.debian.org/science-team/shiny-server.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/science-team/node-shiny-server
+Vcs-Git: https://salsa.debian.org/science-team/node-shiny-server.git
 Homepage: https://www.rstudio.com/products/shiny/shiny-server/
 Rules-Requires-Root: no
 
@@ -79,9 +79,8 @@
          npm,
          pandoc,
          python3,
-         lsb-base,
          node-sockjs-client,
-         node-sockjs
+         node-sockjs (>= 0.3.24+~0.3.33-6~)
 Description: put Shiny web apps online
  Shiny Server lets you put shiny web applications and interactive
  documents online. Take your Shiny apps and share them with your
